package com.contabilidad.EntConta;

import javax.persistence.*;
import javax.xml.bind.annotation.XmlRootElement;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import javax.xml.bind.annotation.XmlTransient;

@Entity
@Table(name = "personal")
@XmlRootElement
public class Personal implements Serializable {
    @Id
    @Column(name = "codigo_empleado")
    private String codigoEmpleado;
    @Column(name = "codigo_anterior")
    private String codigoAnterior;
    @Column(name = "nombre_empleado")
    private String nombreEmpleado;
    @Column(name = "apellido_empleado")
    private String apellidoEmpleado;
    @Column(name = "sueldo_mensual")
    private BigDecimal sueldoMensual;
    @Column(name = "cargo_actual")
    private String cargoActual;
    @Temporal(TemporalType.DATE)
    @Column(name = "fecha_ingreso")
    private Date fechaIngreso;
    @Temporal(TemporalType.DATE)
    @Column(name = "fecha_ncontrato")
    private Date fechaNcontrato;
    @Temporal(TemporalType.DATE)
    @Column(name = "fecha_nacimiento")
    private Date fechaNacimiento;
    @Column(name = "sucursal_codigo")
    private String sucursalCodigo;
    @Column(name = "consultor")
    private String consultor;
    @Column(name = "tipo_pension")
    private String tipoPension;
    @Column(name = "departamento")
    private String departamento;
    @Column(name = "cuenta")
    private String cuenta;
    @Column(name = "inactivo")
    private boolean inactivo;
    @Column(name = "profesion")
    private String profesion;
    @Column(name = "dui")
    private String dui;
    @Column(name = "nit")
    private String nit;
    @Column(name = "sexo")
    private boolean sexo;
    @Column(name = "residencia")
    private String residencia;
    @Column(name = "nacionalidad")
    private String nacionalidad;
    @Column(name = "expedicion_dui")
    private String expedicionDui;
    @Temporal(TemporalType.DATE)
    @Column(name = "fecha_dui")
    private Date fechaDui;
    @Column(name = "tipo_pago")
    private int tipoPago;
    @Column(name = "otras_estipulaciones")
    private String otras_estipulaciones;
    @Temporal(TemporalType.DATE)
    @Column(name = "fecha_contrato")
    private Date fechaContrato;
    @Column(name = "otros_datos_identificacion")
    private String otrosDatosIdentificacion;
    @Column(name = "observacion_duracion")
    private String observacionDuracion;
    @Temporal(TemporalType.DATE)
    @Column(name = "fecha_inicio")
    private Date fechaInicio;
    @Column(name = "duracion_contrato")
    private String duracionContrato;
    @Column(name = "salario")
    private BigDecimal salario;
    @Column(name = "estado_civil_contrato")
    private String estadoCivilContrato;
    @Column(name = "estado_civil")
    private String estadoCivil;
    @Column(name = "domicilio")
    private String domicilio;
    @Column(name = "direccion")
    private String direccion;
    @Column(name = "telefonos")
    private String telefonos;
    @Column(name = "celular")
    private String celular;
    @Column(name = "fijo")
    private boolean fijo;
    @Column(name = "licencia")
    private boolean licencia;
    @Column(name = "tipo_licencia")
    private String tipoLicencia;
    @Column(name = "nivel_academico")
    private String nivelAcademico;
    @Column(name = "emergencia_llamar")
    private String emergenciaLlamar;
    @Column(name = "emergencia_telefono")
    private String emergenciaTelefono;
    @Column(name = "placas")
    private String placas;
    @Column(name = "cargo_contrato")
    private String cargoContrato;
    @Column(name = "completo")
    private String completo;
    @Column(name = "isss")
    private String isss;
    @Column(name = "afp")
    private String afp;

   public String getIsss() {
        return isss;
    }

    public void setIsss(String isss) {
        this.isss = isss;
    }

    public String getAfp() {
        return afp;
    }

    public void setAfp(String afp) {
        this.afp = afp;
    }

    public String getCompleto() {
        return completo;
    }

    public void setCompleto(String completo) {
        this.completo = completo.toUpperCase();
    }

    public String getCargoContrato() {
        return cargoContrato;
    }

    public void setCargoContrato(String cargoContrato) {
        this.cargoContrato = cargoContrato.toUpperCase();
    }

    public String getCodigoEmpleado() {
        return codigoEmpleado;
    }

    public void setCodigoEmpleado(String codigoEmpleado) {
        this.codigoEmpleado = codigoEmpleado.toUpperCase();
    }

    public String getCodigoAnterior() {
        return codigoAnterior;
    }

    public void setCodigoAnterior(String codigoAnterior) {
        this.codigoAnterior = codigoAnterior.toUpperCase();
    }

    public String getNombreEmpleado() {
        return nombreEmpleado;
    }

    public void setNombreEmpleado(String nombreEmpleado) {
        this.nombreEmpleado = nombreEmpleado.toUpperCase();
    }

    public String getApellidoEmpleado() {
        return apellidoEmpleado;
    }

    public void setApellidoEmpleado(String apellidoEmpleado) {
        this.apellidoEmpleado = apellidoEmpleado.toUpperCase();
    }

    public BigDecimal getSueldoMensual() {
        return sueldoMensual;
    }

    public void setSueldoMensual(BigDecimal sueldoMensual) {
        this.sueldoMensual = sueldoMensual;
    }

    public String getCargoActual() {
        return cargoActual;
    }

    public void setCargoActual(String cargoActual) {
        this.cargoActual = cargoActual.toUpperCase();
    }

    public Date getFechaIngreso() {
        return fechaIngreso;
    }

    public void setFechaIngreso(Date fechaIngreso) {
        this.fechaIngreso = fechaIngreso;
    }

    public Date getFechaNcontrato() {
        return fechaNcontrato;
    }

    public void setFechaNcontrato(Date fechaNcontrato) {
        this.fechaNcontrato = fechaNcontrato;
    }

    public Date getFechaNacimiento() {
        return fechaNacimiento;
    }

    public void setFechaNacimiento(Date fechaNacimiento) {
        this.fechaNacimiento = fechaNacimiento;
    }

    public String getSucursalCodigo() {
        return sucursalCodigo;
    }

    public void setSucursalCodigo(String sucursalCodigo) {
        this.sucursalCodigo = sucursalCodigo;
    }

    public String getConsultor() {
        return consultor;
    }

    public void setConsultor(String consultor) {
        this.consultor = consultor.toUpperCase();
    }

    public String getTipoPension() {
        return tipoPension;
    }

    public void setTipoPension(String tipoPension) {
        this.tipoPension = tipoPension.toUpperCase();
    }

    public String getDepartamento() {
        return departamento;
    }

    public void setDepartamento(String departamento) {
        this.departamento = departamento.toUpperCase();
    }

    public String getCuenta() {
        return cuenta;
    }

    public void setCuenta(String cuenta) {
        this.cuenta = cuenta.toUpperCase();
    }

    public boolean isInactivo() {
        return inactivo;
    }

    public void setInactivo(boolean inactivo) {
        this.inactivo = inactivo;
    }

    public String getProfesion() {
        return profesion;
    }

    public void setProfesion(String profesion) {
        this.profesion = profesion.toUpperCase();
    }

    public boolean getSexo() {
        return sexo;
    }

    public void setSexo(boolean sexo) {
        this.sexo = sexo;
    }

    public String getResidencia() {
        return residencia;
    }

    public void setResidencia(String residencia) {
        this.residencia = residencia.toUpperCase();
    }

    public String getNacionalidad() {
        return nacionalidad;
    }

    public void setNacionalidad(String nacionalidad) {
        this.nacionalidad = nacionalidad.toUpperCase();
    }

    public String getExpedicionDui() {
        return expedicionDui;
    }

    public void setExpedicionDui(String expedicionDui) {
        this.expedicionDui = expedicionDui.toUpperCase();
    }

    public Date getFechaDui() {
        return fechaDui;
    }

    public void setFechaDui(Date fechaDui) {
        this.fechaDui = fechaDui;
    }

    public int getTipoPago() {
        return tipoPago;
    }

    public void setTipoPago(int tipoPago) {
        this.tipoPago = tipoPago;
    }

    public String getOtras_estipulaciones() {
        return otras_estipulaciones;
    }

    public void setOtras_estipulaciones(String otras_estipulaciones) {
        this.otras_estipulaciones = otras_estipulaciones.toUpperCase();
    }

    public Date getFechaContrato() {
        return fechaContrato;
    }

    public void setFechaContrato(Date fechaContrato) {
        this.fechaContrato = fechaContrato;
    }

    public String getOtrosDatosIdentificacion() {
        return otrosDatosIdentificacion;
    }

    public void setOtrosDatosIdentificacion(String otrosDatosIdentificacion) {
        this.otrosDatosIdentificacion = otrosDatosIdentificacion.toUpperCase();
    }

    public String getObservacionDuracion() {
        return observacionDuracion;
    }

    public void setObservacionDuracion(String observacionDuracion) {
        this.observacionDuracion = observacionDuracion.toUpperCase();
    }

    public Date getFechaInicio() {
        return fechaInicio;
    }

    public void setFechaInicio(Date fechaInicio) {
        this.fechaInicio = fechaInicio;
    }

    public String getDuracionContrato() {
        return duracionContrato;
    }

    public void setDuracionContrato(String duracionContrato) {
        this.duracionContrato = duracionContrato.toUpperCase();
    }

    public BigDecimal getSalario() {
        return salario;
    }

    public void setSalario(BigDecimal salario) {
        this.salario = salario;
    }

    public String getEstadoCivilContrato() {
        return estadoCivilContrato;
    }

    public void setEstadoCivilContrato(String estadoCivilContrato) {
        this.estadoCivilContrato = estadoCivilContrato.toUpperCase();
    }

    public String getEstadoCivil() {
        return estadoCivil;
    }

    public void setEstadoCivil(String estadoCivil) {
        this.estadoCivil = estadoCivil.toUpperCase();
    }

    public String getDomicilio() {
        return domicilio;
    }

    public void setDomicilio(String domicilio) {
        this.domicilio = domicilio.toUpperCase();
    }

    public String getDireccion() {
        return direccion;
    }

    public void setDireccion(String direccion) {
        this.direccion = direccion.toUpperCase();
    }

    public String getTelefonos() {
        return telefonos;
    }

    public void setTelefonos(String telefonos) {
        this.telefonos = telefonos;
    }

    public String getCelular() {
        return celular;
    }

    public void setCelular(String celular) {
        this.celular = celular;
    }

    public String getDui() {
        return dui;
    }

    public void setDui(String dui) {
        this.dui = dui;
    }

    public String getNit() {
        return nit;
    }

    public void setNit(String nit) {
        this.nit = nit;
    }

    public boolean isSexo() {
        return sexo;
    }

    public boolean isFijo() {
        return fijo;
    }

    public void setFijo(boolean fijo) {
        this.fijo = fijo;
    }

    public boolean isLicencia() {
        return licencia;
    }

    public void setLicencia(boolean licencia) {
        this.licencia = licencia;
    }

    public String getTipoLicencia() {
        return tipoLicencia;
    }

    public void setTipoLicencia(String tipoLicencia) {
        this.tipoLicencia = tipoLicencia.toUpperCase();
    }

    public String getNivelAcademico() {
        return nivelAcademico;
    }

    public void setNivelAcademico(String nivelAcademico) {
        this.nivelAcademico = nivelAcademico.toUpperCase();
    }

    public String getEmergenciaLlamar() {
        return emergenciaLlamar;
    }

    public void setEmergenciaLlamar(String emergenciaLlamar) {
        this.emergenciaLlamar = emergenciaLlamar.toUpperCase();
    }

    public String getEmergenciaTelefono() {
        return emergenciaTelefono;
    }

    public void setEmergenciaTelefono(String emergenciaTelefono) {
        this.emergenciaTelefono = emergenciaTelefono;
    }

    public String getPlacas() {
        return placas;
    }

    public void setPlacas(String placas) {
        this.placas = placas;
    }

    public Personal(String codigoEmpleado, String codigoAnterior, String nombreEmpleado, String apellidoEmpleado, BigDecimal sueldoMensual, String cargoActual, Date fechaIngreso, Date fechaNcontrato, Date fechaNacimiento, String sucursalCodigo, String consultor, String tipoPension, String departamento, String cuenta, boolean inactivo, String profesion, boolean sexo, String residencia, String nacionalidad, String expedicion_dui, Date fechaDui, int tipoPago, String otras_estipulaciones, Date fechaContrato, String otrosDatosIdentificacion, String observacionDuracion, Date fechaInicio, String duracionContrato, BigDecimal salario, String estadoCivilContrato, String estadoCivil, String domicilio, String direccion, String telefonos, String celular, boolean fijo) {
        this.codigoEmpleado = codigoEmpleado;
        this.codigoAnterior = codigoAnterior;
        this.nombreEmpleado = nombreEmpleado;
        this.apellidoEmpleado = apellidoEmpleado;
        this.sueldoMensual = sueldoMensual;
        this.cargoActual = cargoActual;
        this.fechaIngreso = fechaIngreso;
        this.fechaNcontrato = fechaNcontrato;
        this.fechaNacimiento = fechaNacimiento;
        this.sucursalCodigo = sucursalCodigo;
        this.consultor = consultor;
        this.tipoPension = tipoPension;
        this.departamento = departamento;
        this.cuenta = cuenta;
        this.inactivo = inactivo;
        this.profesion = profesion;
        this.sexo = sexo;
        this.residencia = residencia;
        this.nacionalidad = nacionalidad;
        this.expedicionDui = expedicion_dui;
        this.fechaDui = fechaDui;
        this.tipoPago = tipoPago;
        this.otras_estipulaciones = otras_estipulaciones;
        this.fechaContrato = fechaContrato;
        this.otrosDatosIdentificacion = otrosDatosIdentificacion;
        this.observacionDuracion = observacionDuracion;
        this.fechaInicio = fechaInicio;
        this.duracionContrato = duracionContrato;
        this.salario = salario;
        this.estadoCivilContrato = estadoCivilContrato;
        this.estadoCivil = estadoCivil;
        this.domicilio = domicilio;
        this.direccion = direccion;
        this.telefonos = telefonos;
        this.celular = celular;
        this.fijo = fijo;
    }

    public Personal() {
    }
}
